<!--
  *  '$RCSfile: marineDoc.xsl,v $'
  *      Authors: Chad Berkley, Matt Jones
  *    Copyright: 2000 Regents of the University of California and the
  *               National Center for Ecological Analysis and Synthesis
  *  For Details: http://www.nceas.ucsb.edu/
  *
  *   '$Author: jones $'
  *     '$Date: 2001/01/18 19:02:13 $'
  * '$Revision: 1.3 $'
  * 
  * This is an XSL stylesheet for displaying the resultset from a query
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->
<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>
  <xsl:template match="/">
  <!--
    List elements in the following order:
    - ID
    - Title
    - Alt title
    - URL
    - originator(s)
    - abstract
    - keyword info
      - keyword, keyword type
    - additionalInfo
  -->
  
  <html>
  <head>
  <title>
  <xsl:value-of select="title" />
  </title>
  </head>
  <body>
  <h1>
  <xsl:value-of select-"title" />
  </h1>
  <h2>
  <xsl:value-of select="alternateTitle" />
  </h2>
  <font size = 5>
  ID: <xsl:value-of select="identifier" />
  </font>
  <h3>URL:
  <xsl:value-of select="URL" />
  </h3>
  
  <h1>Document Owners</h1>
  <xsl:for-each select="originator">
   <p>
    <h4>Role:<xsl:value-of select="roleCode" /></h4>
    <xsl:value-of select="salutation" />
    <xsl:value-of select="givenName" />
    <xsl:value-of select="surName" />
    <br/>
    <xsl:value-of select="deliveryPoint" />
    <br/>
    <xsl:value-of select="city" />, 
    <xsl:value-of select="adminitrativeArea />
    <xsl:value-of select="postalCode" />
    <br/>
    <xsl:value-of select="electronicMailAddress" />
    <br/>
    <xsl:value-of select="onlineResource/URL" />
    <br/>
    <xsl:value-of select="hoursOfService" />
    <br/>
    <xsl:value-of select="contactInstructions" />
    <br/>
    voice:<xsl:value-of select="voice" />
    <br/>
    fax:<xsl:value-of select="facsimile" />
    <br/>
   </p> 
  </xsl:for-each>
  
  </body>
  </html>
