/**************************************************************************
Copyright ^ General Atomics, 1995-1999
All Rights Reserved
 
This file contains Original Code and/or Modifications of Original Code as
defined in and that are subject to the General Atomics Storage Resource
Broker Academic and Research Use  License (the 'License'). This license is
for academic and research use only. You may not use, copy, modify or
distribute SRB for commercial purposes, nor incorporate the SRB into
commercial products without the express written permission of General
Atomics nor may you distribute SRB to any third party.
 
You may not use this software except in compliance with the License. Please
obtain a copy of the License at http://www.npaci.edu/DICE/SRB/License and
read it before using this file.
 
The Original Code and all software distributed under the License are
distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
EXPRESS OR IMPLIED, AND GENERAL ATOMICS AND THE SAN DIEGO SUPERCOMPUTER
CENTER HEREBY DISCLAIM ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION,
ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
NON-INFRINGEMENT OF ANY COPYRIGHT, PATENT , TRADEMARK OR OTHER RIGHTS.
GENERAL ATOMICS AND THE SAN DIEGO SUPERCOMPUTER CENTER FURTHER  HAVE NO
OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCMENTS OR
MODIFICATIONS.. Please see the License for the specific language governing
rights and limitations under the License."
 
Please read the terms of this license carefully. By using the SRB software,
you are accepting and agreeing to the terms of this license with General
Atomics. If you are agreeing to this license on behalf of a company, or
other institution, you represent that you are authorized to bind the
company/institution to such a license. If you do not meet this criterion or
you do not agree to any of the terms of this license, you are not
authorized to use the software.
**************************************************************************/


/**
 * SrbJavaGlue
 *
 * @version 1.0 10/23/97
 * @author John Moreland
 */
/**
 *        Name: SrbJavaGlueInterface.java
 *     Purpose: Interface for RMI Implementation
 *   Copyright: 2000 Regents of the University of California and the
 *              National Center for Ecological Analysis and Synthesis
 *     Authors: Dan Higgins
 * 
 *     Version: '$Id: SrbJavaGlueInterface.java,v 1.2 2000/11/13 18:08:57 bojilova Exp $'
 *      @version 1.1 6/8/00
 *      @author Dan Higgins - NCEAS
 */
 
import java.rmi.Remote;
import java.rmi.RemoteException; 

public interface SrbJavaGlueInterface extends Remote
{
    // Interface for JNI/RMI
    // JNI (Java Native Interface) Glue Routines for the SRB client library.

	public  int clConnectJ( String host, String port, String auth,
	 String user, String domain )throws RemoteException;

	public  int srbListCollectJ( int conn, int catType,
		String collectionName, String flag, int types[] )throws RemoteException;

	public  String getFileListItem( int index ) throws RemoteException;

	public  int clFinishJ( int conn )throws RemoteException ;

	public  int srbObjCopyNewJ( String srcDir, String srcFile,
		String dstDir, String dstFile, String dstRes ) throws RemoteException ;

	public  int srbListResourceJ( int bs )throws RemoteException;

	public  String getResListItem( int index )throws RemoteException;

	public  String getDefCollection()throws RemoteException;

	public  String getDefResource()throws RemoteException;

	public  String getUser()throws RemoteException;

	public  String getDomain()throws RemoteException;

	public  String getLocalCacheDir()throws RemoteException;

	public  int srbObjReplicateJ(int conn, int catType,
	  String objID, String replNum, String collection, String resource)throws RemoteException;

	public  int srbCollReplicateJ(int conn, int catType,
	  String collection, String resource)throws RemoteException;

	public  int queryDataInCollJ (int conn, int catType, 
	  String parColl) throws RemoteException;

	public  int queryDataJ (int conn, int catType, String objID,
	  String parColl)throws RemoteException;

	public  int querySubCollInCollJ (int conn, int catType, 
	  String parColl)throws RemoteException;

	public  String getDataResultJ( int metaIndex, int rowIndex ) throws RemoteException;

	public  String getCollResultJ( int metaIndex, int rowIndex ) throws RemoteException;

	public  String getGenQueResultJ( int metaIndex, int rowIndex ) throws RemoteException;

	public  int getNCollAttriJ () throws RemoteException;

	public  int getNDataAttriJ () throws RemoteException;

	public  int srbObjUnlinkJ (int conn,  int catType, 
	  String objID, String replNum, String parColl) throws RemoteException;

	public  int srbCreateCollectJ (int conn,  int catType, 
	  String parColl, String newColl) throws RemoteException;

	public  int srbModifyDatasetMetaDJ (int conn,  int catType,
	  String objID, String collection, 
	   String newValue1, String newValue2, int retractionType) throws RemoteException;
	public  int srbModifyCollectMetaDJ (int conn,  int catType,
	  String collection, String newValue1, String newValue2, 
	   String newValue3, int retractionType) throws RemoteException;
	public  int importToOldObjJ (int conn,  int catType, 
	  String objID, String replNum, String parColl, String resource,
	   String localFile, String container) throws RemoteException;

	public  int importToNewObjJ (int conn,  int catType, 
	 String objID, String parColl, String resource, String localFile,
	  String container) throws RemoteException;

	public  int importDirJ (int conn,  int catType, 
	  String parColl, String resource, String localDir, String container) throws RemoteException;

	public  int srbRmCollJ (int conn, int catType, String parColl) throws RemoteException;

	public  int srbUnregCollJ (int conn, int catType, String parColl) throws RemoteException;

	public  int copyToOldObjJ (int conn,  int catType, 
	 String objID, String replNum, String srcColl, String targObj, 
	  String targReplNum, String targColl, String targResource, 
	   String container) throws RemoteException;

	public  int copyDataToCollJ (int conn,  int catType, 
	 String objID, String replNum, String srcColl,
	  String dataType, String size, String targColl, String targResource,
	   String container) throws RemoteException;

	public  int copyCollToCollJ (int conn, int catType, 
	 String srcColl, String targColl, String targResource, 
	  String container) throws RemoteException;

	public  int exportToFileJ(int conn, int catType,
	 String objID, String replNum, String srcColl,
	  String targFile, int forceFlag) throws RemoteException;

	public  int exportToDirJ(int conn, int catType,
	 String objID, String replNum, String srcColl,
	  String targDir) throws RemoteException;

	public  int exportCollToDirJ(int conn, int catType,
	 String srcColl, String targDir) throws RemoteException;

	public  int srbGenQuery (int conn, int catType,
	 String[] qval, int qvalInx[], int selVal[]) throws RemoteException;
	
        public  int srbRegisterDatasetJ(int conn, int catType,
         String objID, String dataType, String resource, String collection,
	  String pathName, int dataSize) throws RemoteException;

	public  int srbUnregisterDatasetJ (int conn, int catType,
	 String objID, String replNum, String collection) throws RemoteException;

        public  int srbRegisterDirJ (int conn, int catType,
	 String srcDirPath, String targColl, String resource) throws RemoteException;

        public  int getMoreDataRowsJ (int conn, int catType) throws RemoteException;

        public  int getMoreCollRowsJ (int conn, int catType) throws RemoteException;

        public  int getMoreGenQueRowsJ (int conn, int catType) throws RemoteException;
	
	public  int chmodInCollJ (int conn, int catType, 
	 String collection, String user, String domain, String mode) throws RemoteException;

	public  int ingestUserJ (int conn, int catType, 
	 String userName, String passwd, String domain, 
	  String userType, String userAddr, String userPhone, String userEmail,
	   String parentColl) throws RemoteException;

	public  int ingestGroupJ (int conn, int catType, 
	 String groupName, String passwd,
	  String groupAddr, String groupPhone, String groupEMail) throws RemoteException;

	public  int ingestLocJ (int conn, int catType, 
	 String locName, String fullAddr, String parentLoc,
	  String serverUser, String serverUserDomain) throws RemoteException; 

        public  int ingestResourceJ (int conn, int catType,
         String rescName, String rescType, String location, String phyPath,
	  String rscClass, int size) throws RemoteException;

        public  int ingestLogRescJ (int conn, int catType,
         String logRescName, String phyResc, String phyPath) throws RemoteException;

        public  int addLogRescJ (int conn, int catType,
         String logResc, String phyResc, String phyPath) throws RemoteException;

        public  int modifyUserJ (int conn, int catType,
         int modOpr, String userName, String domain, String modValue) throws RemoteException;

	public  int containerCreateJ (int conn, int catType,
	 String contName, String dataType, String logResc, int size) throws RemoteException;

	public  int containerDeleteJ (int conn, int catType,
	 String contName, int forceFlag) throws RemoteException;

  public  int containerSyncJ (int conn, int catType,
   String contName, int purgeFlag) throws RemoteException;


 // additions June 2000 by DFH to allows file transfers to client side of RMI
  
  public byte[] getByteData(String fileName) throws RemoteException;
  
  public void setByteData(String fileName, byte[] byteData) throws RemoteException;

  public void clearTmpFiles() throws RemoteException;

}
